<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla12_add($idformato, $pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('12_inversiones_add', $where, 1);
    $codigo_12_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    $CI->db->select('*')->from('12_inversiones_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    //View tipos Declarante  12. Inversiones
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('12_inversiones_add');
    $CI->db->join('tipos_declarante', '12_inversiones_add.titular_inversion=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante12 = $query->row();

   

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $idinv = $consulta[$x]['idinversion'],
            'idinversion' => $consulta[$x]['idinversion'],
            'tipo_inversion' => $consulta[$x]['tipo_inversion'],
            'titular_inversion' => $consulta[$x]['titular_inversion'],
            'bancaria' => $consulta[$x]['bancaria'],
            'tercero' => $consulta[$x]['tercero'],
            'nombre_tercero' => $consulta[$x]['nombre_tercero'],
            'rfc_tercero' => $consulta[$x]['rfc_tercero'],
            'fondos_inversion' => $consulta[$x]['fondos_inversion'],
            'organizaciones_privadas' => $consulta[$x]['organizaciones_privadas'],
            'posesion_monedas' => $consulta[$x]['posesion_monedas'],
            'seguros' => $consulta[$x]['seguros'],
            'valores_bursatiles' => $consulta[$x]['valores_bursatiles'],
            'afores_otros' => $consulta[$x]['afores_otros'],
            'numero_cuenta' => $consulta[$x]['numero_cuenta'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'institucion' => $consulta[$x]['institucion'],
            'rfc_pais' => $consulta[$x]['rfc_pais'],
            'saldo' => $consulta[$x]['saldo'],
            'tipo_moneda' => $consulta[$x]['tipo_moneda'],
            'ninguno' => $consulta[$x]['ninguno'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],
 
            'activo' => $consulta[$x]['activo'],

        );

        $where = array('idformato' => $idformato, 'idinversion' => $idinv);
        $CI->db->select('tipos_declarante.nombre as nombre');
        $CI->db->from('12_inversiones_add');
        $CI->db->join('tipos_declarante', '12_inversiones_add.titular_inversion=tipos_declarante.idtipo');
        $CI->db->where($where);
        $query = $CI->db->get();
        $view_declarante12 = $query->row();
        $y++;
        if ($codigo_12_add->idformato == $idformato) {

            //if ($codigo->tipo_formato == 1) {
                $pdf->setSourceFile('plantillas/Inversiones_12_In.pdf');
            // }else{
            //     $pdf->setSourceFile('plantillas/Inversiones_12.pdf');
            // }

            
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);




            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(32);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetY(32);
            $pdf->SetX(13);
            $pdf->MultiCell(152, 6, ' ', 0, 0, true);

            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);

            if ($datos["ninguno"] == '1') {
                $logo = SERVIDOR . APP . 'application/images/check2.png';
                $pdf->Image($logo, 191.1, 177.5, 4, 4);
            }
            $pdf->SetY(76);
            $pdf->SetX(12.5);
            $pdf->Cell(95, 4, utf8_decode($datos["tipo_inversion"]));
            $pdf->Cell(92, 4, utf8_decode($datos["bancaria"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            if ($view_declarante12 != null) {
                $pdf->Cell(147, 4, utf8_decode($view_declarante12->nombre));
            }

            $pdf->Cell(40, 4, utf8_decode($datos["tercero"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(147, 4, utf8_decode($datos["nombre_tercero"]));
            $pdf->Cell(40, 4, utf8_decode($datos["rfc_tercero"]));
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["fondos_inversion"]));
            $pdf->Cell(55, 4, utf8_decode($datos["organizaciones_privadas"]));
            $pdf->Cell(56, 4, utf8_decode($datos["posesion_monedas"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["seguros"]));
            $pdf->Cell(55, 4, utf8_decode($datos["valores_bursatiles"]));
            $pdf->Cell(56, 4, utf8_decode($datos["afores_otros"]));
            $pdf->Ln(4.5);
            $pdf->SetX(105);
            $pdf->Cell(92, 4, utf8_decode($datos["numero_cuenta"]));
         //   $pdf->Ln(4);
            $pdf->SetFont('Arial', 'B', 8);
            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->Text(130, 141, utf8_decode('PAÍS DONDE SE LOCALIZA'));
            } else {
                $pdf->Text(130, 141, utf8_decode('RFC'));
            }
            $pdf->SetFont('Arial', '', 8);

            $pdf->SetY(134);
            $pdf->SetX(160);
            $pdf->Cell(40, 4, utf8_decode($datos["mexico_extranjero"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["institucion"]));
            $pdf->Cell(92, 4, utf8_decode($datos["rfc_pais"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["saldo"]));
            $pdf->Cell(92, 4, utf8_decode($datos["tipo_moneda"]));
            $pdf->SetY(162);
            $pdf->SetX(13);
            $pdf->MultiCell(184, 3.5, utf8_decode($datos["aclaraciones"]));


            
        }
    }

    //  return $pdf->Output("ejemplo.pdf", 'I', false);
}
